VARKON Version 1.15 1997-10-24

> ## sur_conarr - Geometric procedure

> Creates a surface
> Description
> Creates a conic lofting surface. It is the same function as sur_conic() except that the input data is given in arrays.
> Syntax
> sur_conarr(id, ncur, spine, lim, tan, m, mcur:attributes);

> REF | id;
> INT | ncur;
> REF | spine;
> REF | lim ( );
> REF | tan ( );
> STRING | m ( );
> REF | mcur ( );

> Principal parameters

> id | - Local identity
> spine | - Spine curve
> lim | - Array with limit curves
> tan | - Array with tangent definition curves
> m | - Array with flags defining the type of mid curves
> | Eq. M: Mid curve is a R*3 curve
> | Eq. M: Mid curve is a R*3 curve
> mcur | - Arrar with mid curves

> Optional parameters

> None |

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible (0) or invisible (1)
> SFONT | - Solid boundary and dashed midcurves (0)
> SDASHL | - Dashlength

> Example
> REF lim(10), tan(10), mcur(9);
> STRING m(9)*1;
> sur_conarr( #10, 4, #1, lim, tan, m, mcur);
> Creates a conic lofting surface (type LFT_SUR) with spine curve #1. The number of patches in the V direction will be three since the number of limit curves and tangent definition curves is four.
> Comments
> The created surface LFT_SUR is of the procedural type.

VARKON Homepage | Index